> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch existing agent url

> Check if existing agent url exists for a user or create new one



## OpenAPI

````yaml get /api/v2/agentUrl
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agentUrl:
    get:
      tags:
        - Agent URLs
      summary: Fetch existing agent url
      description: Check if existing agent url exists for a user or create new one
      parameters:
        - name: targetUsername
          in: query
          description: Target username
          required: true
          example: brandon
          schema:
            type: string
      responses:
        '200':
          description: Slug retrieved/fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  slug:
                    type: string
                    example: welovevida
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````